'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var createProvider = function (name) {
  if ( name === void 0 ) name = 'Provider';

  return ({
  functional: true,
  render: function render(h, ctx) {
    var propNames = Object.keys(ctx.props);
    var Provider = {
      name: name,
      props: propNames,
      provide: function provide() {
        return this.$props
      },
      render: function render() {
        return this.$slots.default[0]
      }
    };
    return h(Provider, { props: ctx.props }, ctx.children)
  }
});
};

var index = createProvider();

exports.createProvider = createProvider;
exports['default'] = index;
